syntax = "proto3";
package cms;
option go_package = "bsm/full/module/base/cms/pb;cms";
import "protobuf/blocks.proto";

// 标签
service Tags {
    //标签列表
  rpc Fetch (blocks.IdentRequest) returns (TagsListReply) {};

    //创建标签
  rpc Create(blocks.CmsTagsItem) returns (blocks.StatusReply) {};

    //修改标签
  rpc Modify(blocks.CmsTagsItem) returns (blocks.StatusReply) {};

    //删除标签
  rpc Delete(blocks.IdentRequest) returns (blocks.StatusReply) {};
}

  // 标签列表
message TagsListReply {
  repeated blocks.CmsTagsItem data  = 1; // 数据
  int64             count = 2; // 总数
}